#property show_inputs
//--------------------------------------------------------------------
extern double lotSize = 0.1;
//--------------------------------------------------------------------
int start()
{
   double pipMultiplier = 1; if (Digits==3 || Digits==5) pipMultiplier=10;
   double point = Point*pipMultiplier;
      doOpen(OP_BUY, NormalizeDouble(Bid - 30*point,Digits),NormalizeDouble(Ask + 30*point,Digits));
      doOpen(OP_BUY, NormalizeDouble(Bid - 40*point,Digits),NormalizeDouble(Ask + 30*point,Digits));
      doOpen(OP_BUY, NormalizeDouble(Bid - 50*point,Digits),NormalizeDouble(Ask + 30*point,Digits));
      doOpen(OP_SELL,NormalizeDouble(Ask + 30*point,Digits),NormalizeDouble(Bid - 30*point,Digits));
      doOpen(OP_SELL,NormalizeDouble(Ask + 40*point,Digits),NormalizeDouble(Bid - 30*point,Digits));
      doOpen(OP_SELL,NormalizeDouble(Ask + 50*point,Digits),NormalizeDouble(Bid - 30*point,Digits));
   return(0);
}

//--------------------------------------------------------------------
//
//--------------------------------------------------------------------
//
//
//
//
//

void doOpen(int ord,double SL,double TP)
{
   int ticket;
   int count =3;
   while (count>0)
   {
      RefreshRates();
      if (ord==OP_BUY ) ticket=OrderSend(Symbol(),OP_BUY, lotSize,NormalizeDouble(Ask,Digits),0,SL,TP,"",0,0,Blue);
      if (ord==OP_SELL) ticket=OrderSend(Symbol(),OP_SELL,lotSize,NormalizeDouble(Bid,Digits),0,SL,TP,"",0,0,Red);
      if (ticket==-1)
      {  
         int err=GetLastError();
         switch ( err )
         {                  
              case 0:
              case 1:  count=0;
              default: count--; Alert("Error  " ,err," ",Symbol());
         }
         Sleep(500);
      }
      else count=0;
   }
   return;
}